=== modified file 'Makefile.am'
--- Makefile.am	2010-11-11 01:13:02 +0000
+++ Makefile.am	2010-12-09 08:16:10 +0000
@@ -51,6 +51,7 @@
 	    config/autorun.sh \
 	    config/config.rpath \
 	    config/drizzle.ver \
+	    config/link-warning.h \
 	    config/make-lint.py \
 	    config/pandora_vc_revinfo \
 	    config/pre_hook.sh \

=== modified file 'config/link-warning.h'
--- config/link-warning.h	2010-12-04 02:13:38 +0000
+++ config/link-warning.h	2010-12-09 08:16:10 +0000
@@ -1,35 +1,20 @@
-/* 
- * 
- * Copyright (c) 2009 Monty Taylor
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions are
- * met:
- *
- *     * Redistributions of source code must retain the above copyright
- * notice, this list of conditions and the following disclaimer.
- *
- *     * Redistributions in binary form must reproduce the above
- * copyright notice, this list of conditions and the following disclaimer
- * in the documentation and/or other materials provided with the
- * distribution.
- *
- *     * The names of its contributors may not be used to endorse or
- * promote products derived from this software without specific prior
- * written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
- * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
- * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
- * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
- * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
- * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
- * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
- * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+/*
+ * Copyright (C) 2007, 2009  Free Software Foundation, Inc.
+ *
+ * This library is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU Lesser General Public
+ * License as published by the Free Software Foundation; either
+ * version 2.1 of the License, or (at your option) any later version.
+ *
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+ * Lesser General Public License for more details.
+ *
+ * You should have received a copy of the GNU Lesser General Public
+ * License along with this library; if not, write to the Free Software
+ * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+ * 02110-1301 USA
  *
  */
 

=== modified file 'libdrizzle/column_client.h'
--- libdrizzle/column_client.h	2010-12-04 02:13:38 +0000
+++ libdrizzle/column_client.h	2010-12-10 20:09:17 +0000
@@ -65,6 +65,11 @@
 
 /**
  * Read column information.
+ *
+ * @param[in,out] result pointer to the structure to read from.
+ * @param[out] column pointer to the structure to contain the information.
+ * @param[out] ret_ptr Standard libdrizzle return value.
+ * @return column if there is valid data, NULL if there are no more columns.
  */
 DRIZZLE_API
 drizzle_column_st *drizzle_column_read(drizzle_result_st *result,

=== modified file 'libdrizzle/row_client.h'
--- libdrizzle/row_client.h	2010-12-04 02:13:38 +0000
+++ libdrizzle/row_client.h	2010-12-10 20:09:17 +0000
@@ -60,6 +60,12 @@
 /**
  * Get next row number for unbuffered results. Use the drizzle_field* functions
  * to read individual fields after this function succeeds.
+ *
+ * @param[in,out] result pointer to the structure to read from.
+ * @param[out] ret_ptr Standard libdrizzle return value. May be set to
+ *      DRIZZLE_RESULT_ERROR_CODE if the server return an error, such as a
+ *      deadlock.
+ * @return the row id if there is a valid row, or 0 if there are no more rows or an error.
  */
 DRIZZLE_API
 uint64_t drizzle_row_read(drizzle_result_st *result, drizzle_return_t *ret_ptr);

=== modified file 'plugin/transaction_log/utilities/transaction_reader.cc'
--- plugin/transaction_log/utilities/transaction_reader.cc	2010-12-06 23:20:45 +0000
+++ plugin/transaction_log/utilities/transaction_reader.cc	2010-12-10 14:43:48 +0000
@@ -367,7 +367,7 @@
       /* A segmented statement that was successfully executed */
       else
       {
-        for (int y= 0; y < cached_statement_sql.size(); y++)
+        for (size_t y= 0; y < cached_statement_sql.size(); y++)
         {
           cout << cached_statement_sql[y];
         }

